Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_event_hook_struct Struct Reference

## Data Fields
rb_event_hook_flag_t | hook_flags
rb_event_flag_t | events
rb_event_hook_func_t | func
VALUE | data
struct rb_event_hook_struct * | next
struct {
rb_thread_t * th
unsigned int target_line
} | filter

## Detailed Description

Definition at line 35 of file vm_trace.c.

## Field Documentation

## ◆ data

VALUE rb_event_hook_struct::data

Definition at line 48 of file vm_trace.c.

Referenced by rb_hook_list_mark(), and rb_hook_list_remove_tracepoint().

## ◆ events

rb_event_flag_t rb_event_hook_struct::events

Definition at line 46 of file vm_trace.c.

Referenced by rb_hook_list_remove_tracepoint().

## ◆ filter

struct { ... } rb_event_hook_struct::filter

## ◆ func

rb_event_hook_func_t rb_event_hook_struct::func

Definition at line 47 of file vm_trace.c.

## ◆ hook_flags

rb_event_hook_flag_t rb_event_hook_struct::hook_flags

Definition at line 45 of file vm_trace.c.

Referenced by rb_hook_list_remove_tracepoint().

## ◆ next

struct rb_event_hook_struct* rb_event_hook_struct::next

Definition at line 49 of file vm_trace.c.

Referenced by rb_hook_list_mark(), and rb_hook_list_remove_tracepoint().

## ◆ target_line

unsigned int rb_event_hook_struct::target_line

Definition at line 53 of file vm_trace.c.

## ◆ th

rb_thread_t* rb_event_hook_struct::th

Definition at line 52 of file vm_trace.c.

The documentation for this struct was generated from the following file:

- vm_trace.c